petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreatePartitionerGraph

Create a CSR graph of point connections for the partitioner

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreatePartitionerGraph(DM dm, PetscInt height, PetscInt *numVertices, PetscInt **offsets, PetscInt **adjacency)

### Input Parameters

| dm | - The mesh DM dm Many br
| height | - Height of the strata from which to construct the graph Many br

### Output Parameter

| numVertices | - Number of vertices in the graph Many br
| offsets | - Point offsets in the graph Many br

adjacency -Point connectivity in the graph Many br

The user can control the definition of adjacency for the mesh using DMPlexGetAdjacencyUseCone() and Many brDMPlexSetAdjacencyUseClosure(). They should choose the combination appropriate for the function Many brrepresentation on the mesh. Many br

Many br

### See Also

PetscPartitionerGetType(), PetscPartitionerCreate(), DMPlexSetAdjacencyUseCone(), DMPlexSetAdjacencyUseClosure()

Level:developer
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages